Overview
GET/document/operations/{id}document

Get operations by id

Fetch a record from operations by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

operations

  • idstring
  • documentIdstring
  • blockIdstring?
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • clientIdstring
  • clientSeqinteger
  • opTypestring
  • opPayloadstring
  • createdAtstring
  • syncVersioninteger
  • undoGroupIdstring?
  • inverseOfOpIdstring?
Example
{
  "id": "string",
  "documentId": "string",
  "blockId": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "clientId": "string",
  "clientSeq": 0,
  "opType": "string",
  "opPayload": "string",
  "createdAt": "string",
  "syncVersion": 0,
  "undoGroupId": "string",
  "inverseOfOpId": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/document/operations/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/document/operations/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();